goalOpenShutters.mSteps =
{
	{ action = "click", object = objectPorchWindowMechdetailRust1, selection = objectShedLawnmowerAntirust },
	{ action = "click", object = objectPorchWindowMechdetailRust2, selection = objectShedLawnmowerAntirust },
	{ action = "click", object = objectPorchWindowMechdetailRust3, selection = objectShedLawnmowerAntirust },
	{ action = "click", object = objectPorchWindowMechdetailRust1FRdy, selection = objectShedRag },
	{ action = "click", object = objectPorchWindowMechdetailRust2FRdy, selection = objectShedRag },
	{ action = "click", object = objectPorchWindowMechdetailRust3FRdy, selection = objectShedRag },
	{ action = "click", object = objectPorchWindowMechdetailScrewhole, selection = objectShedScrew },
	{ action = "click", object = objectPorchWindowMechdetailScrewOnly, selection = objectShedScrewdriver },
	{ action = "click", object = objectPorchWindowMechdetailPin, selection = objectPorchWindowlever },
}
-- ----------------------------------------------------------------------------
function goalOpenShutters:onStarted()
    
    objectPorchShutterClosed:ss(kActive)
    objectPorchMechRustShine:ss(kIdle)
    layoutPorch:showShutterHiglight()
    
end
-- ----------------------------------------------------------------------------
function goalOpenShutters:onFinished()
    
    objectLivingroomBackgroundLeftDark:ss(kDone)
    
    objectLivingroomBackgroundLeftUnlit:ss(kIdle)
    objectLivingroomBackgroundLeftUnlit2:ss(kInactive)
    objectLivingroomBackgroundCenterUnlit:ss(kIdle)
    objectLivingroomBackgroundRightUnlit:ss(kIdle)
    
    objectLivingroomBasementhatch:ss(kActive)
    objectBasementFuseboxUnlit:ss(kActive)
    objectBasementFuseboxSpark01:ss(kIdle)
    objectBasementFuseboxSpark02:ss(kIdle)
    layoutBasement:animSpark01()
    layoutBasement:animSpark02()
    
end
-- ----------------------------------------------------------------------------
function goalOpenShutters:onAnimationFinish(animationName)

	if (animationName == "animLowerLever_blocking") then
		self:achieved()
	end

end